#@ load("@ytt:data", "data")

#@ ns = data.values.application.namespace

---
apiVersion: v1
kind: Secret
metadata:
  name: synapse-secrets
  namespace: #@ ns
  annotations:
    argocd.argoproj.io/sync-wave: "-2"
    secret-generator.v1.mittwald.de/autogenerate: registration_shared_secret,macaroon_secret_key,form_secret
    secret-generator.v1.mittwald.de/length: "64"
type: Opaque
